/* DHTML Bibliothek */

var DHTML = 0, DOM = 0, MS = 0, NS = 0, OP = 0;

function DHTML_init() {
  if (window.opera) {                                                           OP = 1; }
  if (document.getElementById) {                          DHTML = 1;  DOM = 1;          }
  if (document.all && !OP) {                              DHTML = 1;            MS = 1; }
  if (window.netscape && window.screen && !DOM && !OP) {  DHTML = 1;            NS = 1; }
}

function getElem(p1,p2,p3) {
  var Elem;
  if (DOM) {
    if (p1.toLowerCase()=="id") {
      if (typeof document.getElementById(p2)=="object")
        Elem = document.getElementById(p2);
      else Elem = void(0);
      return(Elem);
    }
    else if (p1.toLowerCase()=="name") {
      if (typeof document.getElementsByName(p2)=="object")
        Elem = document.getElementsByName(p2)[p3];
      else Elem = void(0);
    return(Elem);
    }
    else if (p1.toLowerCase()=="tagname") {
      if (typeof document.getElementsByTagName(p2)=="object" || (OP && typeof document.getElementsByTagName(p2)=="function"))
        Elem = document.getElementsByTagName(p2)[p3];
      else Elem = void(0);
      return(Elem);
    }
    else return void(0);
  }
  else if (MS) {
    if (p1.toLowerCase()=="id") {
      if (typeof document.all[p2]=="object")
        Elem = document.all[p2];
      else Elem = void(0);
      return(Elem);
    }
    else if (p1.toLowerCase()=="tagname") {
      if (typeof document.all.tags(p2)=="object")
        Elem = document.all.tags(p2)[p3];
      else Elem = void(0);
      return(Elem);
    }
    else if (p1.toLowerCase()=="name") {
      if (typeof document[p2]=="object")
        Elem = document[p2];
      else Elem = void(0);
      return(Elem);
    }
    else return void(0);
  }
  else if (NS) {
    if (p1.toLowerCase()=="id" || p1.toLowerCase()=="name") {
      if (typeof document[p2]=="object")
        Elem = document[p2];
      else Elem = void(0);
      return(Elem);
    }
    else if (p1.toLowerCase()=="index") {
      if (typeof document.layers[p2]=="object")
        Elem = document.layers[p2];
      else Elem = void(0);
      return(Elem);
    }
    else return void(0);
  }
}

function setCont(p1,p2) {
  if(DOM && p1 && p1.firstChild)
    p1.firstChild.nodeValue = p2;
  else if(MS && p1)
    p1.innerText = p2;
  else if(NS && p1) {
    p1.document.open();
    p1.document.write(p2);
    p1.document.close();
  }
}

DHTML_init();

/* ABK Bibliothek */

function abkDoBlur(oElm) {
  if (oElm) if (oElm.onblur) oElm.onblur();
}

function abkDoChange(oElm) {
  if (oElm) if (oElm.onchange) oElm.onchange();
}

function abkDoKeyup(oElm) {
  if (oElm) if (oElm.onkeyup) oElm.onkeyup();
}

function abkLoxToJsx(sLox) {
  sLox = sLox.replace(/\./, '');
  return sLox.replace(/\,/, '.');
}

function abkJsxToLox(sJsx) {
  return sJsx.replace(/\./, ',');
}

function abkSetVal(o, n, v) {
  if (o) {o[n] = v;}
}

function abkGetArrayElement(aArr, sKey, sDelim, iCmp) {
  for (var i=0; i<aArr.length; i++) {
    if (aArr[i].split(sDelim)[iCmp]==sKey) {
      return aArr[i];
      break;
    }
  }
}

function abkFindInArray(aArr, sKey, sDelim, iCmp, iRet) {
  var aTmp;
  for (var i=0; i<aArr.length; i++) {
    aTmp = aArr[i].split(sDelim);
    if (aTmp[iCmp]==sKey) {
      return aTmp[iRet];
      break;
    }
  }
}

function abkGetValueByKey(aArr, sKey) {
  return abkFindInArray(aArr, sKey, '=', 0, 1);
}
/*
function abkGetValueByKey(aArr, sKey) {
  var aTmp;
  for (var i=0; i<aArr.length; i++) {
    aTmp = aArr[i].split('=');
    if (aTmp[0]==sKey) {
      return aTmp[1];
      break;
    }
  }
}
*/
/*
function abkGetValueByKey(aArr, sKey) {
  var iPos;
  for (var i=0; i<aArr.length; i++) {
    with (aArr[i]) {
      iPos = indexOf('=');
      if (substring(0, iPos)==sKey) {
        return substring(iPos+1, length);
        break;
      }
    }
  }
}
*/
function abkFilterArray(aArr, sKey, bValOnly) {
  function f1(s) {with (s) {return substring(indexOf('|')+1, length);}}
  var aRet = new Array;
  if (sKey) {
    var aKey = sKey.split('|');
    for (var i=0; i<aArr.length; i++) {
      for (var k=0; k<aKey.length; k++) {
        if (aArr[i].split('|')[0]==aKey[k]) {
          aRet[aRet.length] = bValOnly ? f1(aArr[i]) : aArr[i];
        }
      }
    }
  }
  return aRet;
}

function abkRefArray(aPro, aKoa) {
  var aRet = new Array, sKey;
  for (var i=0; i<aPro.length; i++) {
    sKey = aPro[i].split('|')[0];
    aRet[aRet.length] = sKey+'='+abkFilterArray(aKoa, sKey, true).join('|');
  }
  return aRet;
}

// iMod: 0 = 'Key', 1 = 'Value', 2 = 'Key - Value'
function abkFillSelect(oSel, aOpt, sDef, iMod) {
  var aItm, sItm, sVal = oSel.value;
  with (oSel) {
    options.length = 0;
    for (var i=0; i<aOpt.length; i++) {
      aItm = aOpt[i].split('|');
      switch (iMod) {
        case 1: sItm = aItm[1]; break;
        case 2: sItm = aItm[0]+' - '+aItm[1]; break;
        default: sItm = aItm[0]; break;
      }
      // fr NN wrde das reichen
      options[options.length] = new Option(sItm, aItm[0], aItm[0]==sDef);
    }
    // wenn value ungltig ist (und nichts ausgewhlt ist):
    // NN selektiert Option mit defaultSelected==true
    // IE selektiert nichts, selectedIndex==-1
    value = sVal;
    if (selectedIndex<0) {value = sDef;}
  }
  if (oSel.onchange) {oSel.onchange();} // NN kann's nicht im with-Block
}
